﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:var="http://schemas.microsoft.com/BizTalk/2003/var" exclude-result-prefixes="msxsl var" version="1.0" xmlns:ns0="http://schemas.microsoft.com/windowsazure">
  <xsl:output omit-xml-declaration="yes" method="xml" version="1.0" />
  <xsl:template match="/">
    <xsl:apply-templates select="/ns0:Deployment" />
  </xsl:template>
  <xsl:template match="/ns0:Deployment">
    <ns0:Deployment>
      <ns0:Name>
        <xsl:value-of select="ns0:Name/text()" />
      </ns0:Name>
      <ns0:DeploymentSlot>
        <xsl:value-of select="ns0:DeploymentSlot/text()" />
      </ns0:DeploymentSlot>
      <xsl:call-template name="TrimLable">
        <xsl:with-param name="param1" select="string(ns0:Label/text())" />
        <xsl:with-param name="param2" select="string(ns0:Name/text())" />
      </xsl:call-template>
      <ns0:RoleList>
        <xsl:for-each select="ns0:RoleList/ns0:Role">
          <ns0:Role>
            <ns0:RoleName>
              <xsl:value-of select="ns0:RoleName/text()" />
            </ns0:RoleName>
            <ns0:RoleType>
              <xsl:value-of select="ns0:RoleType/text()" />
            </ns0:RoleType>
            <ns0:ConfigurationSets>
              <ns0:ConfigurationSet>
                <ns0:ConfigurationSetType>
                  <xsl:value-of select="ns0:ConfigurationSets/ns0:ConfigurationSet/ns0:ConfigurationSetType/text()" />
                </ns0:ConfigurationSetType>
                <ns0:InputEndpoints>
                  <xsl:for-each select="ns0:ConfigurationSets/ns0:ConfigurationSet/ns0:InputEndpoints/ns0:InputEndpoint">
                    <ns0:InputEndpoint>
                      <ns0:LoadBalancedEndpointSetName>
                        <xsl:value-of select="ns0:LoadBalancedEndpointSetName/text()" />
                      </ns0:LoadBalancedEndpointSetName>
                      <ns0:LocalPort>
                        <xsl:value-of select="ns0:LocalPort/text()" />
                      </ns0:LocalPort>
                      <ns0:Name>
                        <xsl:value-of select="ns0:Name/text()" />
                      </ns0:Name>
                      <ns0:Port>
                        <xsl:value-of select="ns0:Port/text()" />
                      </ns0:Port>
                      <ns0:LoadBalancerProbe>
                        <ns0:Path>
                          <xsl:value-of select="ns0:LoadBalancerProbe/ns0:Path/text()" />
                        </ns0:Path>
                        <ns0:Port>
                          <xsl:value-of select="ns0:LoadBalancerProbe/ns0:Port/text()" />
                        </ns0:Port>
                        <ns0:Protocol>
                          <xsl:value-of select="ns0:LoadBalancerProbe/ns0:Protocol/text()" />
                        </ns0:Protocol>
                      </ns0:LoadBalancerProbe>
                      <ns0:Protocol>
                        <xsl:value-of select="ns0:Protocol/text()" />
                      </ns0:Protocol>
                    </ns0:InputEndpoint>
                  </xsl:for-each>
                </ns0:InputEndpoints>
                <ns0:SubnetNames>
                  <ns0:string>
                    <xsl:value-of select="ns0:ConfigurationSets/ns0:ConfigurationSet/ns0:SubnetNames/ns0:SubnetName/text()" />
                  </ns0:string>
                  <xsl:value-of select="ns0:ConfigurationSets/ns0:ConfigurationSet/ns0:SubnetNames/text()" />
                </ns0:SubnetNames>
                <xsl:value-of select="ns0:ConfigurationSets/ns0:ConfigurationSet/text()" />
              </ns0:ConfigurationSet>
            </ns0:ConfigurationSets>
            <ns0:DataVirtualHardDisks>
              <xsl:for-each select="ns0:DataVirtualHardDisks/ns0:DataVirtualHardDisk">
                <ns0:DataVirtualHardDisk>
                  <ns0:HostCaching>
                    <xsl:value-of select="ns0:HostCaching/text()" />
                  </ns0:HostCaching>
                  <ns0:DiskName>
                    <xsl:value-of select="ns0:DiskName/text()" />
                  </ns0:DiskName>
                </ns0:DataVirtualHardDisk>
              </xsl:for-each>
            </ns0:DataVirtualHardDisks>
            <ns0:OSVirtualHardDisk>
              <ns0:HostCaching>
                <xsl:value-of select="ns0:OSVirtualHardDisk/ns0:HostCaching/text()" />
              </ns0:HostCaching>
              <ns0:DiskName>
                <xsl:value-of select="ns0:OSVirtualHardDisk/ns0:DiskName/text()" />
              </ns0:DiskName>
              <ns0:OS>
                <xsl:value-of select="ns0:OSVirtualHardDisk/ns0:OS/text()" />
              </ns0:OS>
            </ns0:OSVirtualHardDisk>
            <ns0:RoleSize>
              <xsl:value-of select="ns0:RoleSize/text()" />
            </ns0:RoleSize>
          </ns0:Role>
        </xsl:for-each>
      </ns0:RoleList>
      <ns0:VirtualNetworkName>
        <xsl:value-of select="ns0:VirtualNetworkName/text()" />
      </ns0:VirtualNetworkName>
      <ns0:Dns>
        <ns0:DnsServers>
          <xsl:for-each select="ns0:Dns/ns0:DnsServers">
            <ns0:DnsServer>
              <ns0:Name>
                <xsl:value-of select="ns0:DnsServer/ns0:Name/text()" />
              </ns0:Name>
              <ns0:Address>
                <xsl:value-of select="ns0:DnsServer/ns0:Address/text()" />
              </ns0:Address>
            </ns0:DnsServer>
          </xsl:for-each>
        </ns0:DnsServers>
      </ns0:Dns>
    </ns0:Deployment>
  </xsl:template>
  <xsl:template name="TrimLable">
    <xsl:param name="param1" />
    <xsl:param name="param2" />
    <xsl:element name="ns0:Label">
      <xsl:choose>
        <xsl:when test="string-length($param1) &gt; 100">
          <xsl:value-of select="$param2" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$param1" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>